# Operation Guide

The binary file of the WEMIX3.0 client node (i.e., `gwemix`) can be controlled using the following command.

### Start

This is a command to run the built `gwemix`using script (i.e., `gwemix.sh`).

```
{data_directory}/bin/gwemix.sh start
```

When `gwemix` is executed with the above command, a log file with a size of 10MB is automatically saved in the `{data_folder}/log` directory. Up to 6 log files are saved, and this number can be changed in `gwemix.sh`.

### Stop

This is a command to stop running `gwemix`.

```
{data_directory}/bin/gwemix.sh stop
```

### Restart

This is a command to stop and start `gwemix`in operation.

```
{data_directory}/bin/gwemix.sh restart
```

### Remove data

This is a command to delete all `chaindata` of `gwemix` in operation. **Please note that all `chaindata` will be removed by this operation.**

```
{data_directory}/bin/gwemix.sh wipe
```

### Console access

This is a command to access `gwemix` JavaScript console.

```
{data_directory}/bin/gwemix.sh console
```

### Log

The status of the current `gwemix`can be identified using the log file.

```
tail -F {data_folder}/logs/log
```

The log level is divided from 1 to 5 and the default is 3.

```
0=silent, 1=error, 2=warn, 3=info, 4=debug, 5=detail (default: 3)
```

To change the log level, access the gwemix console and execute the command below to apply immediately.

```
debug.verbosity({log_level})
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wemix.com/en/install-and-operation/operation-guide.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
